Package org.h2.tools

# Class SimpleResultSet

java.lang.Object
org.h2.tools.SimpleResultSet

All Implemented Interfaces:
  `AutoCloseable`, `ResultSet`, `ResultSetMetaData`, `Wrapper`

public class SimpleResultSet extends Object implements ResultSet, ResultSetMetaData
This class is a simple result set and meta data implementation. It can be used in Java functions that return a result set. Only the most basic methods are implemented, the others throw an exception. This implementation is standalone, and only relies on standard classes. It can be extended easily if required. An application can create a result set using the following code:

     SimpleResultSet rs = new SimpleResultSet();
     rs.addColumn("ID", Types.INTEGER, 10, 0);
     rs.addColumn("NAME", Types.VARCHAR, 255, 0);
     rs.addRow(0, "Hello" });
     rs.addRow(1, "World" });

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`SimpleResultSet.SimpleArray`
A simple array implementation, backed by an object array

## Field Summary

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Fields inherited from interface java.sql.ResultSetMetaData

`columnNoNulls, columnNullable, columnNullableUnknown`

## Constructor Summary

Constructors
Constructor
Description
`SimpleResultSet()`
This constructor is used if the result set is later populated with addRow.
`SimpleResultSet(SimpleRowSource source)`
This constructor is used if the result set should retrieve the rows using the specified row source object.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`absolute(int row)`
INTERNAL
`void`
`addColumn(String name, int sqlType, int precision, int scale)`
Adds a column to the result set.
`void`
`addColumn(String name, int sqlType, String sqlTypeName, int precision, int scale)`
Adds a column to the result set.
`void`
`addRow(Object... row)`
Add a new row to the result set.
`void`
`afterLast()`
INTERNAL
`void`
`beforeFirst()`
Moves the current position to before the first row, that means the result set is reset.
`void`
`cancelRowUpdates()`
INTERNAL
`void`
`clearWarnings()`
INTERNAL
`void`
`close()`
Closes the result set and releases the resources.
`void`
`deleteRow()`
INTERNAL
`int`
`findColumn(String columnLabel)`
Searches for a specific column in the result set.
`boolean`
`first()`
INTERNAL
`Array`
`getArray(int columnIndex)`
Returns the value as a java.sql.Array.
`Array`
`getArray(String columnLabel)`
Returns the value as a java.sql.Array.
`InputStream`
`getAsciiStream(int columnIndex)`
INTERNAL
`InputStream`
`getAsciiStream(String columnLabel)`
INTERNAL
`boolean`
`getAutoClose()`
Get the current auto-close behavior.
`BigDecimal`
`getBigDecimal(int columnIndex)`
Returns the value as a java.math.BigDecimal.
`BigDecimal`
`getBigDecimal(int columnIndex, int scale)`
Deprecated.
INTERNAL
`BigDecimal`
`getBigDecimal(String columnLabel)`
Returns the value as a java.math.BigDecimal.
`BigDecimal`
`getBigDecimal(String columnLabel, int scale)`
Deprecated.
INTERNAL
`InputStream`
`getBinaryStream(int columnIndex)`
Returns the value as a java.io.InputStream.
`InputStream`
`getBinaryStream(String columnLabel)`
Returns the value as a java.io.InputStream.
`Blob`
`getBlob(int columnIndex)`
Returns the value as a java.sql.Blob.
`Blob`
`getBlob(String columnLabel)`
Returns the value as a java.sql.Blob.
`boolean`
`getBoolean(int columnIndex)`
Returns the value as a boolean.
`boolean`
`getBoolean(String columnLabel)`
Returns the value as a boolean.
`byte`
`getByte(int columnIndex)`
Returns the value as a byte.
`byte`
`getByte(String columnLabel)`
Returns the value as a byte.
`byte[]`
`getBytes(int columnIndex)`
Returns the value as a byte array.
`byte[]`
`getBytes(String columnLabel)`
Returns the value as a byte array.
`String`
`getCatalogName(int columnIndex)`
Returns empty string.
`Reader`
`getCharacterStream(int columnIndex)`
Returns the value as a java.io.Reader.
`Reader`
`getCharacterStream(String columnLabel)`
Returns the value as a java.io.Reader.
`Clob`
`getClob(int columnIndex)`
Returns the value as a java.sql.Clob.
`Clob`
`getClob(String columnLabel)`
Returns the value as a java.sql.Clob.
`String`
`getColumnClassName(int columnIndex)`
Returns the Java class name if this column.
`int`
`getColumnCount()`
Returns the column count.
`int`
`getColumnDisplaySize(int columnIndex)`
Returns 15.
`String`
`getColumnLabel(int columnIndex)`
Returns the column label.
`String`
`getColumnName(int columnIndex)`
Returns the column name.
`int`
`getColumnType(int columnIndex)`
Returns the SQL type.
`String`
`getColumnTypeName(int columnIndex)`
Returns the data type name of a column.
`int`
`getConcurrency()`
Returns ResultSet.CONCUR_READ_ONLY.
`String`
`getCursorName()`
INTERNAL
`Date`
`getDate(int columnIndex)`
Returns the value as an java.sql.Date.
`Date`
`getDate(int columnIndex, Calendar cal)`
INTERNAL
`Date`
`getDate(String columnLabel)`
Returns the value as a java.sql.Date.
`Date`
`getDate(String columnLabel, Calendar cal)`
INTERNAL
`double`
`getDouble(int columnIndex)`
Returns the value as an double.
`double`
`getDouble(String columnLabel)`
Returns the value as a double.
`int`
`getFetchDirection()`
Returns ResultSet.FETCH_FORWARD.
`int`
`getFetchSize()`
Returns 0.
`float`
`getFloat(int columnIndex)`
Returns the value as a float.
`float`
`getFloat(String columnLabel)`
Returns the value as a float.
`int`
`getHoldability()`
Returns the current result set holdability.
`int`
`getInt(int columnIndex)`
Returns the value as an int.
`int`
`getInt(String columnLabel)`
Returns the value as an int.
`long`
`getLong(int columnIndex)`
Returns the value as a long.
`long`
`getLong(String columnLabel)`
Returns the value as a long.
`ResultSetMetaData`
`getMetaData()`
Returns a reference to itself.
`Reader`
`getNCharacterStream(int columnIndex)`
INTERNAL
`Reader`
`getNCharacterStream(String columnLabel)`
INTERNAL
`NClob`
`getNClob(int columnIndex)`
INTERNAL
`NClob`
`getNClob(String columnLabel)`
INTERNAL
`String`
`getNString(int columnIndex)`
INTERNAL
`String`
`getNString(String columnLabel)`
INTERNAL
`Object`
`getObject(int columnIndex)`
Returns the value as an Object.
`<T> T`
`getObject(int columnIndex, Class<T> type)`
Returns the value as an Object of the specified type.
`Object`
`getObject(int columnIndex, Map<String,Class<?>> map)`
INTERNAL
`Object`
`getObject(String columnLabel)`
Returns the value as an Object.
`<T> T`
`getObject(String columnName, Class<T> type)`
Returns the value as an Object of the specified type.
`Object`
`getObject(String columnLabel, Map<String,Class<?>> map)`
INTERNAL
`int`
`getPrecision(int columnIndex)`
Returns the precision.
`Ref`
`getRef(int columnIndex)`
INTERNAL
`Ref`
`getRef(String columnLabel)`
INTERNAL
`int`
`getRow()`
Returns the row number (1, 2,...) or 0 for no row.
`RowId`
`getRowId(int columnIndex)`
INTERNAL
`RowId`
`getRowId(String columnLabel)`
INTERNAL
`int`
`getScale(int columnIndex)`
Returns the scale.
`String`
`getSchemaName(int columnIndex)`
Returns empty string.
`short`
`getShort(int columnIndex)`
Returns the value as a short.
`short`
`getShort(String columnLabel)`
Returns the value as a short.
`SQLXML`
`getSQLXML(int columnIndex)`
INTERNAL
`SQLXML`
`getSQLXML(String columnLabel)`
INTERNAL
`Statement`
`getStatement()`
Returns null.
`String`
`getString(int columnIndex)`
Returns the value as a String.
`String`
`getString(String columnLabel)`
Returns the value as a String.
`String`
`getTableName(int columnIndex)`
Returns empty string.
`Time`
`getTime(int columnIndex)`
Returns the value as an java.sql.Time.
`Time`
`getTime(int columnIndex, Calendar cal)`
INTERNAL
`Time`
`getTime(String columnLabel)`
Returns the value as a java.sql.Time.
`Time`
`getTime(String columnLabel, Calendar cal)`
INTERNAL
`Timestamp`
`getTimestamp(int columnIndex)`
Returns the value as an java.sql.Timestamp.
`Timestamp`
`getTimestamp(int columnIndex, Calendar cal)`
INTERNAL
`Timestamp`
`getTimestamp(String columnLabel)`
Returns the value as a java.sql.Timestamp.
`Timestamp`
`getTimestamp(String columnLabel, Calendar cal)`
INTERNAL
`int`
`getType()`
Returns the result set type.
`InputStream`
`getUnicodeStream(int columnIndex)`
Deprecated.
INTERNAL
`InputStream`
`getUnicodeStream(String columnLabel)`
Deprecated.
INTERNAL
`URL`
`getURL(int columnIndex)`
INTERNAL
`URL`
`getURL(String columnLabel)`
INTERNAL
`SQLWarning`
`getWarnings()`
Returns null.
`void`
`insertRow()`
INTERNAL
`boolean`
`isAfterLast()`
INTERNAL
`boolean`
`isAutoIncrement(int columnIndex)`
Returns false.
`boolean`
`isBeforeFirst()`
INTERNAL
`boolean`
`isCaseSensitive(int columnIndex)`
Returns true.
`boolean`
`isClosed()`
Returns whether this result set has been closed.
`boolean`
`isCurrency(int columnIndex)`
Returns false.
`boolean`
`isDefinitelyWritable(int columnIndex)`
Returns false.
`boolean`
`isFirst()`
INTERNAL
`boolean`
`isLast()`
INTERNAL
`int`
`isNullable(int columnIndex)`
Returns ResultSetMetaData.columnNullableUnknown.
`boolean`
`isReadOnly(int columnIndex)`
Returns true.
`boolean`
`isSearchable(int columnIndex)`
Returns true.
`boolean`
`isSigned(int columnIndex)`
Returns true.
`boolean`
`isWrapperFor(Class<?> iface)`
Checks if unwrap can return an object of this class.
`boolean`
`isWritable(int columnIndex)`
Returns false.
`boolean`
`last()`
INTERNAL
`void`
`moveToCurrentRow()`
INTERNAL
`void`
`moveToInsertRow()`
INTERNAL
`boolean`
`next()`
Moves the cursor to the next row of the result set.
`boolean`
`previous()`
INTERNAL
`void`
`refreshRow()`
INTERNAL
`boolean`
`relative(int offset)`
INTERNAL
`boolean`
`rowDeleted()`
INTERNAL
`boolean`
`rowInserted()`
INTERNAL
`boolean`
`rowUpdated()`
INTERNAL
`void`
`setAutoClose(boolean autoClose)`
Set the auto-close behavior.
`void`
`setFetchDirection(int direction)`
INTERNAL
`void`
`setFetchSize(int rows)`
INTERNAL
`<T> T`
`unwrap(Class<T> iface)`
Return an object of this class if possible.
`void`
`updateArray(int columnIndex, Array x)`
INTERNAL
`void`
`updateArray(String columnLabel, Array x)`
INTERNAL
`void`
`updateAsciiStream(int columnIndex, InputStream x)`
INTERNAL
`void`
`updateAsciiStream(int columnIndex, InputStream x, int length)`
INTERNAL
`void`
`updateAsciiStream(int columnIndex, InputStream x, long length)`
INTERNAL
`void`
`updateAsciiStream(String columnLabel, InputStream x)`
INTERNAL
`void`
`updateAsciiStream(String columnLabel, InputStream x, int length)`
INTERNAL
`void`
`updateAsciiStream(String columnLabel, InputStream x, long length)`
INTERNAL
`void`
`updateBigDecimal(int columnIndex, BigDecimal x)`
INTERNAL
`void`
`updateBigDecimal(String columnLabel, BigDecimal x)`
INTERNAL
`void`
`updateBinaryStream(int columnIndex, InputStream x)`
INTERNAL
`void`
`updateBinaryStream(int columnIndex, InputStream x, int length)`
INTERNAL
`void`
`updateBinaryStream(int columnIndex, InputStream x, long length)`
INTERNAL
`void`
`updateBinaryStream(String columnLabel, InputStream x)`
INTERNAL
`void`
`updateBinaryStream(String columnLabel, InputStream x, int length)`
INTERNAL
`void`
`updateBinaryStream(String columnLabel, InputStream x, long length)`
INTERNAL
`void`
`updateBlob(int columnIndex, InputStream x)`
INTERNAL
`void`
`updateBlob(int columnIndex, InputStream x, long length)`
INTERNAL
`void`
`updateBlob(int columnIndex, Blob x)`
INTERNAL
`void`
`updateBlob(String columnLabel, InputStream x)`
INTERNAL
`void`
`updateBlob(String columnLabel, InputStream x, long length)`
INTERNAL
`void`
`updateBlob(String columnLabel, Blob x)`
INTERNAL
`void`
`updateBoolean(int columnIndex, boolean x)`
INTERNAL
`void`
`updateBoolean(String columnLabel, boolean x)`
INTERNAL
`void`
`updateByte(int columnIndex, byte x)`
INTERNAL
`void`
`updateByte(String columnLabel, byte x)`
INTERNAL
`void`
`updateBytes(int columnIndex, byte[] x)`
INTERNAL
`void`
`updateBytes(String columnLabel, byte[] x)`
INTERNAL
`void`
`updateCharacterStream(int columnIndex, Reader x)`
INTERNAL
`void`
`updateCharacterStream(int columnIndex, Reader x, int length)`
INTERNAL
`void`
`updateCharacterStream(int columnIndex, Reader x, long length)`
INTERNAL
`void`
`updateCharacterStream(String columnLabel, Reader x)`
INTERNAL
`void`
`updateCharacterStream(String columnLabel, Reader x, int length)`
INTERNAL
`void`
`updateCharacterStream(String columnLabel, Reader x, long length)`
INTERNAL
`void`
`updateClob(int columnIndex, Reader x)`
INTERNAL
`void`
`updateClob(int columnIndex, Reader x, long length)`
INTERNAL
`void`
`updateClob(int columnIndex, Clob x)`
INTERNAL
`void`
`updateClob(String columnLabel, Reader x)`
INTERNAL
`void`
`updateClob(String columnLabel, Reader x, long length)`
INTERNAL
`void`
`updateClob(String columnLabel, Clob x)`
INTERNAL
`void`
`updateDate(int columnIndex, Date x)`
INTERNAL
`void`
`updateDate(String columnLabel, Date x)`
INTERNAL
`void`
`updateDouble(int columnIndex, double x)`
INTERNAL
`void`
`updateDouble(String columnLabel, double x)`
INTERNAL
`void`
`updateFloat(int columnIndex, float x)`
INTERNAL
`void`
`updateFloat(String columnLabel, float x)`
INTERNAL
`void`
`updateInt(int columnIndex, int x)`
INTERNAL
`void`
`updateInt(String columnLabel, int x)`
INTERNAL
`void`
`updateLong(int columnIndex, long x)`
INTERNAL
`void`
`updateLong(String columnLabel, long x)`
INTERNAL
`void`
`updateNCharacterStream(int columnIndex, Reader x)`
INTERNAL
`void`
`updateNCharacterStream(int columnIndex, Reader x, long length)`
INTERNAL
`void`
`updateNCharacterStream(String columnLabel, Reader x)`
INTERNAL
`void`
`updateNCharacterStream(String columnLabel, Reader x, long length)`
INTERNAL
`void`
`updateNClob(int columnIndex, Reader x)`
INTERNAL
`void`
`updateNClob(int columnIndex, Reader x, long length)`
INTERNAL
`void`
`updateNClob(int columnIndex, NClob x)`
INTERNAL
`void`
`updateNClob(String columnLabel, Reader x)`
INTERNAL
`void`
`updateNClob(String columnLabel, Reader x, long length)`
INTERNAL
`void`
`updateNClob(String columnLabel, NClob x)`
INTERNAL
`void`
`updateNString(int columnIndex, String x)`
INTERNAL
`void`
`updateNString(String columnLabel, String x)`
INTERNAL
`void`
`updateNull(int columnIndex)`
INTERNAL
`void`
`updateNull(String columnLabel)`
INTERNAL
`void`
`updateObject(int columnIndex, Object x)`
INTERNAL
`void`
`updateObject(int columnIndex, Object x, int scale)`
INTERNAL
`void`
`updateObject(String columnLabel, Object x)`
INTERNAL
`void`
`updateObject(String columnLabel, Object x, int scale)`
INTERNAL
`void`
`updateRef(int columnIndex, Ref x)`
INTERNAL
`void`
`updateRef(String columnLabel, Ref x)`
INTERNAL
`void`
`updateRow()`
INTERNAL
`void`
`updateRowId(int columnIndex, RowId x)`
INTERNAL
`void`
`updateRowId(String columnLabel, RowId x)`
INTERNAL
`void`
`updateShort(int columnIndex, short x)`
INTERNAL
`void`
`updateShort(String columnLabel, short x)`
INTERNAL
`void`
`updateSQLXML(int columnIndex, SQLXML x)`
INTERNAL
`void`
`updateSQLXML(String columnLabel, SQLXML x)`
INTERNAL
`void`
`updateString(int columnIndex, String x)`
INTERNAL
`void`
`updateString(String columnLabel, String x)`
INTERNAL
`void`
`updateTime(int columnIndex, Time x)`
INTERNAL
`void`
`updateTime(String columnLabel, Time x)`
INTERNAL
`void`
`updateTimestamp(int columnIndex, Timestamp x)`
INTERNAL
`void`
`updateTimestamp(String columnLabel, Timestamp x)`
INTERNAL
`boolean`
`wasNull()`
Returns whether the last column accessed was null.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.ResultSet

`updateObject, updateObject, updateObject, updateObject`

## Constructor Details

### SimpleResultSet

public SimpleResultSet()
This constructor is used if the result set is later populated with addRow.

### SimpleResultSet

public SimpleResultSet(SimpleRowSource source)
This constructor is used if the result set should retrieve the rows using the specified row source object.

Parameters:
  `source` - the row source

## Method Details

### addColumn

public void addColumn(String name, int sqlType, int precision, int scale)
Adds a column to the result set. All columns must be added before adding rows. This method uses the default SQL type names.

Parameters:
  `name` - null is replaced with C1, C2,...
  `sqlType` - the value returned in getColumnType(..)
  `precision` - the precision
  `scale` - the scale

### addColumn

public void addColumn(String name, int sqlType, String sqlTypeName, int precision, int scale)
Adds a column to the result set. All columns must be added before adding rows.

Parameters:
  `name` - null is replaced with C1, C2,...
  `sqlType` - the value returned in getColumnType(..)
  `sqlTypeName` - the type name return in getColumnTypeName(..)
  `precision` - the precision
  `scale` - the scale

### addRow

public void addRow(Object... row)
Add a new row to the result set. Do not use this method when using a RowSource.

Parameters:
  `row` - the row as an array of objects

### getConcurrency

public int getConcurrency()
Returns ResultSet.CONCUR_READ_ONLY.

Specified by:
  `getConcurrency` in interface `ResultSet`
Returns:
  CONCUR_READ_ONLY

### getFetchDirection

public int getFetchDirection()
Returns ResultSet.FETCH_FORWARD.

Specified by:
  `getFetchDirection` in interface `ResultSet`
Returns:
  FETCH_FORWARD

### getFetchSize

public int getFetchSize()
Returns 0.

Specified by:
  `getFetchSize` in interface `ResultSet`
Returns:
  0

### getRow

public int getRow()
Returns the row number (1, 2,...) or 0 for no row.

Specified by:
  `getRow` in interface `ResultSet`
Returns:
  0

### getType

public int getType()
Returns the result set type. This is ResultSet.TYPE_FORWARD_ONLY for auto-close result sets, and ResultSet.TYPE_SCROLL_INSENSITIVE for others.

Specified by:
  `getType` in interface `ResultSet`
Returns:
  TYPE_FORWARD_ONLY or TYPE_SCROLL_INSENSITIVE

### close

public void close()
Closes the result set and releases the resources.

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `ResultSet`

### next

public boolean next() throws SQLException
Moves the cursor to the next row of the result set.

Specified by:
  `next` in interface `ResultSet`
Returns:
  true if successful, false if there are no more rows
Throws:
  `SQLException`

### beforeFirst

public void beforeFirst() throws SQLException
Moves the current position to before the first row, that means the result set is reset.

Specified by:
  `beforeFirst` in interface `ResultSet`
Throws:
  `SQLException`

### wasNull

public boolean wasNull()
Returns whether the last column accessed was null.

Specified by:
  `wasNull` in interface `ResultSet`
Returns:
  true if the last column accessed was null

### findColumn

public int findColumn(String columnLabel) throws SQLException
Searches for a specific column in the result set. A case-insensitive search is made.

Specified by:
  `findColumn` in interface `ResultSet`
Parameters:
  `columnLabel` - the column label
Returns:
  the column index (1,2,...)
Throws:
  `SQLException` - if the column is not found or if the result set is closed

### getMetaData

public ResultSetMetaData getMetaData()
Returns a reference to itself.

Specified by:
  `getMetaData` in interface `ResultSet`
Returns:
  this

### getWarnings

public SQLWarning getWarnings()
Returns null.

Specified by:
  `getWarnings` in interface `ResultSet`
Returns:
  null

### getStatement

public Statement getStatement()
Returns null.

Specified by:
  `getStatement` in interface `ResultSet`
Returns:
  null

### clearWarnings

public void clearWarnings()
INTERNAL

Specified by:
  `clearWarnings` in interface `ResultSet`

### getArray

public Array getArray(int columnIndex) throws SQLException
Returns the value as a java.sql.Array.

Specified by:
  `getArray` in interface `ResultSet`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  the value
Throws:
  `SQLException`

### getArray

public Array getArray(String columnLabel) throws SQLException
Returns the value as a java.sql.Array.

Specified by:
  `getArray` in interface `ResultSet`
Parameters:
  `columnLabel` - the column label
Returns:
  the value
Throws:
  `SQLException`

### getAsciiStream

public InputStream getAsciiStream(int columnIndex) throws SQLException
INTERNAL

Specified by:
  `getAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

### getAsciiStream

public InputStream getAsciiStream(String columnLabel) throws SQLException
INTERNAL

Specified by:
  `getAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

### getBigDecimal

public BigDecimal getBigDecimal(int columnIndex) throws SQLException
Returns the value as a java.math.BigDecimal.

Specified by:
  `getBigDecimal` in interface `ResultSet`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  the value
Throws:
  `SQLException`

### getBigDecimal

public BigDecimal getBigDecimal(String columnLabel) throws SQLException
Returns the value as a java.math.BigDecimal.

Specified by:
  `getBigDecimal` in interface `ResultSet`
Parameters:
  `columnLabel` - the column label
Returns:
  the value
Throws:
  `SQLException`

### getBigDecimal

@Deprecated public BigDecimal getBigDecimal(int columnIndex, int scale) throws SQLException
Deprecated.
INTERNAL

Specified by:
  `getBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

### getBigDecimal

@Deprecated public BigDecimal getBigDecimal(String columnLabel, int scale) throws SQLException
Deprecated.
INTERNAL

Specified by:
  `getBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

### getBinaryStream

public InputStream getBinaryStream(int columnIndex) throws SQLException
Returns the value as a java.io.InputStream.

Specified by:
  `getBinaryStream` in interface `ResultSet`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  the value
Throws:
  `SQLException`

### getBinaryStream

public InputStream getBinaryStream(String columnLabel) throws SQLException
Returns the value as a java.io.InputStream.

Specified by:
  `getBinaryStream` in interface `ResultSet`
Parameters:
  `columnLabel` - the column label
Returns:
  the value
Throws:
  `SQLException`

### getBlob

public Blob getBlob(int columnIndex) throws SQLException
Returns the value as a java.sql.Blob. This is only supported if the result set was created using a Blob object.

Specified by:
  `getBlob` in interface `ResultSet`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  the value
Throws:
  `SQLException`

### getBlob

public Blob getBlob(String columnLabel) throws SQLException
Returns the value as a java.sql.Blob. This is only supported if the result set was created using a Blob object.

Specified by:
  `getBlob` in interface `ResultSet`
Parameters:
  `columnLabel` - the column label
Returns:
  the value
Throws:
  `SQLException`

### getBoolean

public boolean getBoolean(int columnIndex) throws SQLException
Returns the value as a boolean.

Specified by:
  `getBoolean` in interface `ResultSet`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  the value
Throws:
  `SQLException`

### getBoolean

public boolean getBoolean(String columnLabel) throws SQLException
Returns the value as a boolean.

Specified by:
  `getBoolean` in interface `ResultSet`
Parameters:
  `columnLabel` - the column label
Returns:
  the value
Throws:
  `SQLException`

### getByte

public byte getByte(int columnIndex) throws SQLException
Returns the value as a byte.

Specified by:
  `getByte` in interface `ResultSet`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  the value
Throws:
  `SQLException`

### getByte

public byte getByte(String columnLabel) throws SQLException
Returns the value as a byte.

Specified by:
  `getByte` in interface `ResultSet`
Parameters:
  `columnLabel` - the column label
Returns:
  the value
Throws:
  `SQLException`

### getBytes

public byte[] getBytes(int columnIndex) throws SQLException
Returns the value as a byte array.

Specified by:
  `getBytes` in interface `ResultSet`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  the value
Throws:
  `SQLException`

### getBytes

public byte[] getBytes(String columnLabel) throws SQLException
Returns the value as a byte array.

Specified by:
  `getBytes` in interface `ResultSet`
Parameters:
  `columnLabel` - the column label
Returns:
  the value
Throws:
  `SQLException`

### getCharacterStream

public Reader getCharacterStream(int columnIndex) throws SQLException
Returns the value as a java.io.Reader. This is only supported if the result set was created using a Clob or Reader object.

Specified by:
  `getCharacterStream` in interface `ResultSet`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  the value
Throws:
  `SQLException`

### getCharacterStream

public Reader getCharacterStream(String columnLabel) throws SQLException
Returns the value as a java.io.Reader. This is only supported if the result set was created using a Clob or Reader object.

Specified by:
  `getCharacterStream` in interface `ResultSet`
Parameters:
  `columnLabel` - the column label
Returns:
  the value
Throws:
  `SQLException`

### getClob

public Clob getClob(int columnIndex) throws SQLException
Returns the value as a java.sql.Clob. This is only supported if the result set was created using a Clob object.

Specified by:
  `getClob` in interface `ResultSet`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  the value
Throws:
  `SQLException`

### getClob

public Clob getClob(String columnLabel) throws SQLException
Returns the value as a java.sql.Clob. This is only supported if the result set was created using a Clob object.

Specified by:
  `getClob` in interface `ResultSet`
Parameters:
  `columnLabel` - the column label
Returns:
  the value
Throws:
  `SQLException`

### getDate

public Date getDate(int columnIndex) throws SQLException
Returns the value as an java.sql.Date.

Specified by:
  `getDate` in interface `ResultSet`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  the value
Throws:
  `SQLException`

### getDate

public Date getDate(String columnLabel) throws SQLException
Returns the value as a java.sql.Date.

Specified by:
  `getDate` in interface `ResultSet`
Parameters:
  `columnLabel` - the column label
Returns:
  the value
Throws:
  `SQLException`

### getDate

public Date getDate(int columnIndex, Calendar cal) throws SQLException
INTERNAL

Specified by:
  `getDate` in interface `ResultSet`
Throws:
  `SQLException`

### getDate

public Date getDate(String columnLabel, Calendar cal) throws SQLException
INTERNAL

Specified by:
  `getDate` in interface `ResultSet`
Throws:
  `SQLException`

### getDouble

public double getDouble(int columnIndex) throws SQLException
Returns the value as an double.

Specified by:
  `getDouble` in interface `ResultSet`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  the value
Throws:
  `SQLException`

### getDouble

public double getDouble(String columnLabel) throws SQLException
Returns the value as a double.

Specified by:
  `getDouble` in interface `ResultSet`
Parameters:
  `columnLabel` - the column label
Returns:
  the value
Throws:
  `SQLException`

### getFloat

public float getFloat(int columnIndex) throws SQLException
Returns the value as a float.

Specified by:
  `getFloat` in interface `ResultSet`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  the value
Throws:
  `SQLException`

### getFloat

public float getFloat(String columnLabel) throws SQLException
Returns the value as a float.

Specified by:
  `getFloat` in interface `ResultSet`
Parameters:
  `columnLabel` - the column label
Returns:
  the value
Throws:
  `SQLException`

### getInt

public int getInt(int columnIndex) throws SQLException
Returns the value as an int.

Specified by:
  `getInt` in interface `ResultSet`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  the value
Throws:
  `SQLException`

### getInt

public int getInt(String columnLabel) throws SQLException
Returns the value as an int.

Specified by:
  `getInt` in interface `ResultSet`
Parameters:
  `columnLabel` - the column label
Returns:
  the value
Throws:
  `SQLException`

### getLong

public long getLong(int columnIndex) throws SQLException
Returns the value as a long.

Specified by:
  `getLong` in interface `ResultSet`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  the value
Throws:
  `SQLException`

### getLong

public long getLong(String columnLabel) throws SQLException
Returns the value as a long.

Specified by:
  `getLong` in interface `ResultSet`
Parameters:
  `columnLabel` - the column label
Returns:
  the value
Throws:
  `SQLException`

### getNCharacterStream

public Reader getNCharacterStream(int columnIndex) throws SQLException
INTERNAL

Specified by:
  `getNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### getNCharacterStream

public Reader getNCharacterStream(String columnLabel) throws SQLException
INTERNAL

Specified by:
  `getNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### getNClob

public NClob getNClob(int columnIndex) throws SQLException
INTERNAL

Specified by:
  `getNClob` in interface `ResultSet`
Throws:
  `SQLException`

### getNClob

public NClob getNClob(String columnLabel) throws SQLException
INTERNAL

Specified by:
  `getNClob` in interface `ResultSet`
Throws:
  `SQLException`

### getNString

public String getNString(int columnIndex) throws SQLException
INTERNAL

Specified by:
  `getNString` in interface `ResultSet`
Throws:
  `SQLException`

### getNString

public String getNString(String columnLabel) throws SQLException
INTERNAL

Specified by:
  `getNString` in interface `ResultSet`
Throws:
  `SQLException`

### getObject

public Object getObject(int columnIndex) throws SQLException
Returns the value as an Object.

Specified by:
  `getObject` in interface `ResultSet`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  the value
Throws:
  `SQLException`

### getObject

public Object getObject(String columnLabel) throws SQLException
Returns the value as an Object.

Specified by:
  `getObject` in interface `ResultSet`
Parameters:
  `columnLabel` - the column label
Returns:
  the value
Throws:
  `SQLException`

### getObject

public <T> T getObject(int columnIndex, Class<T> type) throws SQLException
Returns the value as an Object of the specified type.

Specified by:
  `getObject` in interface `ResultSet`
Parameters:
  `columnIndex` - the column index (1, 2, ...)
  `type` - the class of the returned value
Returns:
  the value
Throws:
  `SQLException`

### getObject

public <T> T getObject(String columnName, Class<T> type) throws SQLException
Returns the value as an Object of the specified type.

Specified by:
  `getObject` in interface `ResultSet`
Parameters:
  `columnName` - the column name
  `type` - the class of the returned value
Returns:
  the value
Throws:
  `SQLException`

### getObject

public Object getObject(int columnIndex, Map<String,Class<?>> map) throws SQLException
INTERNAL

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

### getObject

public Object getObject(String columnLabel, Map<String,Class<?>> map) throws SQLException
INTERNAL

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

### getRef

public Ref getRef(int columnIndex) throws SQLException
INTERNAL

Specified by:
  `getRef` in interface `ResultSet`
Throws:
  `SQLException`

### getRef

public Ref getRef(String columnLabel) throws SQLException
INTERNAL

Specified by:
  `getRef` in interface `ResultSet`
Throws:
  `SQLException`

### getRowId

public RowId getRowId(int columnIndex) throws SQLException
INTERNAL

Specified by:
  `getRowId` in interface `ResultSet`
Throws:
  `SQLException`

### getRowId

public RowId getRowId(String columnLabel) throws SQLException
INTERNAL

Specified by:
  `getRowId` in interface `ResultSet`
Throws:
  `SQLException`

### getShort

public short getShort(int columnIndex) throws SQLException
Returns the value as a short.

Specified by:
  `getShort` in interface `ResultSet`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  the value
Throws:
  `SQLException`

### getShort

public short getShort(String columnLabel) throws SQLException
Returns the value as a short.

Specified by:
  `getShort` in interface `ResultSet`
Parameters:
  `columnLabel` - the column label
Returns:
  the value
Throws:
  `SQLException`

### getSQLXML

public SQLXML getSQLXML(int columnIndex) throws SQLException
INTERNAL

Specified by:
  `getSQLXML` in interface `ResultSet`
Throws:
  `SQLException`

### getSQLXML

public SQLXML getSQLXML(String columnLabel) throws SQLException
INTERNAL

Specified by:
  `getSQLXML` in interface `ResultSet`
Throws:
  `SQLException`

### getString

public String getString(int columnIndex) throws SQLException
Returns the value as a String.

Specified by:
  `getString` in interface `ResultSet`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  the value
Throws:
  `SQLException`

### getString

public String getString(String columnLabel) throws SQLException
Returns the value as a String.

Specified by:
  `getString` in interface `ResultSet`
Parameters:
  `columnLabel` - the column label
Returns:
  the value
Throws:
  `SQLException`

### getTime

public Time getTime(int columnIndex) throws SQLException
Returns the value as an java.sql.Time.

Specified by:
  `getTime` in interface `ResultSet`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  the value
Throws:
  `SQLException`

### getTime

public Time getTime(String columnLabel) throws SQLException
Returns the value as a java.sql.Time.

Specified by:
  `getTime` in interface `ResultSet`
Parameters:
  `columnLabel` - the column label
Returns:
  the value
Throws:
  `SQLException`

### getTime

public Time getTime(int columnIndex, Calendar cal) throws SQLException
INTERNAL

Specified by:
  `getTime` in interface `ResultSet`
Throws:
  `SQLException`

### getTime

public Time getTime(String columnLabel, Calendar cal) throws SQLException
INTERNAL

Specified by:
  `getTime` in interface `ResultSet`
Throws:
  `SQLException`

### getTimestamp

public Timestamp getTimestamp(int columnIndex) throws SQLException
Returns the value as an java.sql.Timestamp.

Specified by:
  `getTimestamp` in interface `ResultSet`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  the value
Throws:
  `SQLException`

### getTimestamp

public Timestamp getTimestamp(String columnLabel) throws SQLException
Returns the value as a java.sql.Timestamp.

Specified by:
  `getTimestamp` in interface `ResultSet`
Parameters:
  `columnLabel` - the column label
Returns:
  the value
Throws:
  `SQLException`

### getTimestamp

public Timestamp getTimestamp(int columnIndex, Calendar cal) throws SQLException
INTERNAL

Specified by:
  `getTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

### getTimestamp

public Timestamp getTimestamp(String columnLabel, Calendar cal) throws SQLException
INTERNAL

Specified by:
  `getTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

### getUnicodeStream

@Deprecated public InputStream getUnicodeStream(int columnIndex) throws SQLException
Deprecated.
INTERNAL

Specified by:
  `getUnicodeStream` in interface `ResultSet`
Throws:
  `SQLException`

### getUnicodeStream

@Deprecated public InputStream getUnicodeStream(String columnLabel) throws SQLException
Deprecated.
INTERNAL

Specified by:
  `getUnicodeStream` in interface `ResultSet`
Throws:
  `SQLException`

### getURL

public URL getURL(int columnIndex) throws SQLException
INTERNAL

Specified by:
  `getURL` in interface `ResultSet`
Throws:
  `SQLException`

### getURL

public URL getURL(String columnLabel) throws SQLException
INTERNAL

Specified by:
  `getURL` in interface `ResultSet`
Throws:
  `SQLException`

### updateArray

public void updateArray(int columnIndex, Array x) throws SQLException
INTERNAL

Specified by:
  `updateArray` in interface `ResultSet`
Throws:
  `SQLException`

### updateArray

public void updateArray(String columnLabel, Array x) throws SQLException
INTERNAL

Specified by:
  `updateArray` in interface `ResultSet`
Throws:
  `SQLException`

### updateAsciiStream

public void updateAsciiStream(int columnIndex, InputStream x) throws SQLException
INTERNAL

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateAsciiStream

public void updateAsciiStream(String columnLabel, InputStream x) throws SQLException
INTERNAL

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateAsciiStream

public void updateAsciiStream(int columnIndex, InputStream x, int length) throws SQLException
INTERNAL

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateAsciiStream

public void updateAsciiStream(String columnLabel, InputStream x, int length) throws SQLException
INTERNAL

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateAsciiStream

public void updateAsciiStream(int columnIndex, InputStream x, long length) throws SQLException
INTERNAL

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateAsciiStream

public void updateAsciiStream(String columnLabel, InputStream x, long length) throws SQLException
INTERNAL

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateBigDecimal

public void updateBigDecimal(int columnIndex, BigDecimal x) throws SQLException
INTERNAL

Specified by:
  `updateBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

### updateBigDecimal

public void updateBigDecimal(String columnLabel, BigDecimal x) throws SQLException
INTERNAL

Specified by:
  `updateBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

### updateBinaryStream

public void updateBinaryStream(int columnIndex, InputStream x) throws SQLException
INTERNAL

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateBinaryStream

public void updateBinaryStream(String columnLabel, InputStream x) throws SQLException
INTERNAL

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateBinaryStream

public void updateBinaryStream(int columnIndex, InputStream x, int length) throws SQLException
INTERNAL

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateBinaryStream

public void updateBinaryStream(String columnLabel, InputStream x, int length) throws SQLException
INTERNAL

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateBinaryStream

public void updateBinaryStream(int columnIndex, InputStream x, long length) throws SQLException
INTERNAL

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateBinaryStream

public void updateBinaryStream(String columnLabel, InputStream x, long length) throws SQLException
INTERNAL

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateBlob

public void updateBlob(int columnIndex, Blob x) throws SQLException
INTERNAL

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

### updateBlob

public void updateBlob(String columnLabel, Blob x) throws SQLException
INTERNAL

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

### updateBlob

public void updateBlob(int columnIndex, InputStream x) throws SQLException
INTERNAL

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

### updateBlob

public void updateBlob(String columnLabel, InputStream x) throws SQLException
INTERNAL

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

### updateBlob

public void updateBlob(int columnIndex, InputStream x, long length) throws SQLException
INTERNAL

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

### updateBlob

public void updateBlob(String columnLabel, InputStream x, long length) throws SQLException
INTERNAL

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

### updateBoolean

public void updateBoolean(int columnIndex, boolean x) throws SQLException
INTERNAL

Specified by:
  `updateBoolean` in interface `ResultSet`
Throws:
  `SQLException`

### updateBoolean

public void updateBoolean(String columnLabel, boolean x) throws SQLException
INTERNAL

Specified by:
  `updateBoolean` in interface `ResultSet`
Throws:
  `SQLException`

### updateByte

public void updateByte(int columnIndex, byte x) throws SQLException
INTERNAL

Specified by:
  `updateByte` in interface `ResultSet`
Throws:
  `SQLException`

### updateByte

public void updateByte(String columnLabel, byte x) throws SQLException
INTERNAL

Specified by:
  `updateByte` in interface `ResultSet`
Throws:
  `SQLException`

### updateBytes

public void updateBytes(int columnIndex, byte[] x) throws SQLException
INTERNAL

Specified by:
  `updateBytes` in interface `ResultSet`
Throws:
  `SQLException`

### updateBytes

public void updateBytes(String columnLabel, byte[] x) throws SQLException
INTERNAL

Specified by:
  `updateBytes` in interface `ResultSet`
Throws:
  `SQLException`

### updateCharacterStream

public void updateCharacterStream(int columnIndex, Reader x) throws SQLException
INTERNAL

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateCharacterStream

public void updateCharacterStream(String columnLabel, Reader x) throws SQLException
INTERNAL

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateCharacterStream

public void updateCharacterStream(int columnIndex, Reader x, int length) throws SQLException
INTERNAL

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateCharacterStream

public void updateCharacterStream(String columnLabel, Reader x, int length) throws SQLException
INTERNAL

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateCharacterStream

public void updateCharacterStream(int columnIndex, Reader x, long length) throws SQLException
INTERNAL

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateCharacterStream

public void updateCharacterStream(String columnLabel, Reader x, long length) throws SQLException
INTERNAL

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateClob

public void updateClob(int columnIndex, Clob x) throws SQLException
INTERNAL

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateClob

public void updateClob(String columnLabel, Clob x) throws SQLException
INTERNAL

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateClob

public void updateClob(int columnIndex, Reader x) throws SQLException
INTERNAL

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateClob

public void updateClob(String columnLabel, Reader x) throws SQLException
INTERNAL

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateClob

public void updateClob(int columnIndex, Reader x, long length) throws SQLException
INTERNAL

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateClob

public void updateClob(String columnLabel, Reader x, long length) throws SQLException
INTERNAL

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateDate

public void updateDate(int columnIndex, Date x) throws SQLException
INTERNAL

Specified by:
  `updateDate` in interface `ResultSet`
Throws:
  `SQLException`

### updateDate

public void updateDate(String columnLabel, Date x) throws SQLException
INTERNAL

Specified by:
  `updateDate` in interface `ResultSet`
Throws:
  `SQLException`

### updateDouble

public void updateDouble(int columnIndex, double x) throws SQLException
INTERNAL

Specified by:
  `updateDouble` in interface `ResultSet`
Throws:
  `SQLException`

### updateDouble

public void updateDouble(String columnLabel, double x) throws SQLException
INTERNAL

Specified by:
  `updateDouble` in interface `ResultSet`
Throws:
  `SQLException`

### updateFloat

public void updateFloat(int columnIndex, float x) throws SQLException
INTERNAL

Specified by:
  `updateFloat` in interface `ResultSet`
Throws:
  `SQLException`

### updateFloat

public void updateFloat(String columnLabel, float x) throws SQLException
INTERNAL

Specified by:
  `updateFloat` in interface `ResultSet`
Throws:
  `SQLException`

### updateInt

public void updateInt(int columnIndex, int x) throws SQLException
INTERNAL

Specified by:
  `updateInt` in interface `ResultSet`
Throws:
  `SQLException`

### updateInt

public void updateInt(String columnLabel, int x) throws SQLException
INTERNAL

Specified by:
  `updateInt` in interface `ResultSet`
Throws:
  `SQLException`

### updateLong

public void updateLong(int columnIndex, long x) throws SQLException
INTERNAL

Specified by:
  `updateLong` in interface `ResultSet`
Throws:
  `SQLException`

### updateLong

public void updateLong(String columnLabel, long x) throws SQLException
INTERNAL

Specified by:
  `updateLong` in interface `ResultSet`
Throws:
  `SQLException`

### updateNCharacterStream

public void updateNCharacterStream(int columnIndex, Reader x) throws SQLException
INTERNAL

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateNCharacterStream

public void updateNCharacterStream(String columnLabel, Reader x) throws SQLException
INTERNAL

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateNCharacterStream

public void updateNCharacterStream(int columnIndex, Reader x, long length) throws SQLException
INTERNAL

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateNCharacterStream

public void updateNCharacterStream(String columnLabel, Reader x, long length) throws SQLException
INTERNAL

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateNClob

public void updateNClob(int columnIndex, NClob x) throws SQLException
INTERNAL

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateNClob

public void updateNClob(String columnLabel, NClob x) throws SQLException
INTERNAL

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateNClob

public void updateNClob(int columnIndex, Reader x) throws SQLException
INTERNAL

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateNClob

public void updateNClob(String columnLabel, Reader x) throws SQLException
INTERNAL

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateNClob

public void updateNClob(int columnIndex, Reader x, long length) throws SQLException
INTERNAL

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateNClob

public void updateNClob(String columnLabel, Reader x, long length) throws SQLException
INTERNAL

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateNString

public void updateNString(int columnIndex, String x) throws SQLException
INTERNAL

Specified by:
  `updateNString` in interface `ResultSet`
Throws:
  `SQLException`

### updateNString

public void updateNString(String columnLabel, String x) throws SQLException
INTERNAL

Specified by:
  `updateNString` in interface `ResultSet`
Throws:
  `SQLException`

### updateNull

public void updateNull(int columnIndex) throws SQLException
INTERNAL

Specified by:
  `updateNull` in interface `ResultSet`
Throws:
  `SQLException`

### updateNull

public void updateNull(String columnLabel) throws SQLException
INTERNAL

Specified by:
  `updateNull` in interface `ResultSet`
Throws:
  `SQLException`

### updateObject

public void updateObject(int columnIndex, Object x) throws SQLException
INTERNAL

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

### updateObject

public void updateObject(String columnLabel, Object x) throws SQLException
INTERNAL

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

### updateObject

public void updateObject(int columnIndex, Object x, int scale) throws SQLException
INTERNAL

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

### updateObject

public void updateObject(String columnLabel, Object x, int scale) throws SQLException
INTERNAL

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

### updateRef

public void updateRef(int columnIndex, Ref x) throws SQLException
INTERNAL

Specified by:
  `updateRef` in interface `ResultSet`
Throws:
  `SQLException`

### updateRef

public void updateRef(String columnLabel, Ref x) throws SQLException
INTERNAL

Specified by:
  `updateRef` in interface `ResultSet`
Throws:
  `SQLException`

### updateRowId

public void updateRowId(int columnIndex, RowId x) throws SQLException
INTERNAL

Specified by:
  `updateRowId` in interface `ResultSet`
Throws:
  `SQLException`

### updateRowId

public void updateRowId(String columnLabel, RowId x) throws SQLException
INTERNAL

Specified by:
  `updateRowId` in interface `ResultSet`
Throws:
  `SQLException`

### updateShort

public void updateShort(int columnIndex, short x) throws SQLException
INTERNAL

Specified by:
  `updateShort` in interface `ResultSet`
Throws:
  `SQLException`

### updateShort

public void updateShort(String columnLabel, short x) throws SQLException
INTERNAL

Specified by:
  `updateShort` in interface `ResultSet`
Throws:
  `SQLException`

### updateSQLXML

public void updateSQLXML(int columnIndex, SQLXML x) throws SQLException
INTERNAL

Specified by:
  `updateSQLXML` in interface `ResultSet`
Throws:
  `SQLException`

### updateSQLXML

public void updateSQLXML(String columnLabel, SQLXML x) throws SQLException
INTERNAL

Specified by:
  `updateSQLXML` in interface `ResultSet`
Throws:
  `SQLException`

### updateString

public void updateString(int columnIndex, String x) throws SQLException
INTERNAL

Specified by:
  `updateString` in interface `ResultSet`
Throws:
  `SQLException`

### updateString

public void updateString(String columnLabel, String x) throws SQLException
INTERNAL

Specified by:
  `updateString` in interface `ResultSet`
Throws:
  `SQLException`

### updateTime

public void updateTime(int columnIndex, Time x) throws SQLException
INTERNAL

Specified by:
  `updateTime` in interface `ResultSet`
Throws:
  `SQLException`

### updateTime

public void updateTime(String columnLabel, Time x) throws SQLException
INTERNAL

Specified by:
  `updateTime` in interface `ResultSet`
Throws:
  `SQLException`

### updateTimestamp

public void updateTimestamp(int columnIndex, Timestamp x) throws SQLException
INTERNAL

Specified by:
  `updateTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

### updateTimestamp

public void updateTimestamp(String columnLabel, Timestamp x) throws SQLException
INTERNAL

Specified by:
  `updateTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

### getColumnCount

public int getColumnCount()
Returns the column count.

Specified by:
  `getColumnCount` in interface `ResultSetMetaData`
Returns:
  the column count

### getColumnDisplaySize

public int getColumnDisplaySize(int columnIndex)
Returns 15.

Specified by:
  `getColumnDisplaySize` in interface `ResultSetMetaData`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  15

### getColumnType

public int getColumnType(int columnIndex) throws SQLException
Returns the SQL type.

Specified by:
  `getColumnType` in interface `ResultSetMetaData`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  the SQL type
Throws:
  `SQLException`

### getPrecision

public int getPrecision(int columnIndex) throws SQLException
Returns the precision.

Specified by:
  `getPrecision` in interface `ResultSetMetaData`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  the precision
Throws:
  `SQLException`

### getScale

public int getScale(int columnIndex) throws SQLException
Returns the scale.

Specified by:
  `getScale` in interface `ResultSetMetaData`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  the scale
Throws:
  `SQLException`

### isNullable

public int isNullable(int columnIndex)
Returns ResultSetMetaData.columnNullableUnknown.

Specified by:
  `isNullable` in interface `ResultSetMetaData`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  columnNullableUnknown

### isAutoIncrement

public boolean isAutoIncrement(int columnIndex)
Returns false.

Specified by:
  `isAutoIncrement` in interface `ResultSetMetaData`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  false

### isCaseSensitive

public boolean isCaseSensitive(int columnIndex)
Returns true.

Specified by:
  `isCaseSensitive` in interface `ResultSetMetaData`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  true

### isCurrency

public boolean isCurrency(int columnIndex)
Returns false.

Specified by:
  `isCurrency` in interface `ResultSetMetaData`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  false

### isDefinitelyWritable

public boolean isDefinitelyWritable(int columnIndex)
Returns false.

Specified by:
  `isDefinitelyWritable` in interface `ResultSetMetaData`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  false

### isReadOnly

public boolean isReadOnly(int columnIndex)
Returns true.

Specified by:
  `isReadOnly` in interface `ResultSetMetaData`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  true

### isSearchable

public boolean isSearchable(int columnIndex)
Returns true.

Specified by:
  `isSearchable` in interface `ResultSetMetaData`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  true

### isSigned

public boolean isSigned(int columnIndex)
Returns true.

Specified by:
  `isSigned` in interface `ResultSetMetaData`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  true

### isWritable

public boolean isWritable(int columnIndex)
Returns false.

Specified by:
  `isWritable` in interface `ResultSetMetaData`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  false

### getCatalogName

public String getCatalogName(int columnIndex)
Returns empty string.

Specified by:
  `getCatalogName` in interface `ResultSetMetaData`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  empty string

### getColumnClassName

public String getColumnClassName(int columnIndex) throws SQLException
Returns the Java class name if this column.

Specified by:
  `getColumnClassName` in interface `ResultSetMetaData`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  the class name
Throws:
  `SQLException`

### getColumnLabel

public String getColumnLabel(int columnIndex) throws SQLException
Returns the column label.

Specified by:
  `getColumnLabel` in interface `ResultSetMetaData`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  the column label
Throws:
  `SQLException`

### getColumnName

public String getColumnName(int columnIndex) throws SQLException
Returns the column name.

Specified by:
  `getColumnName` in interface `ResultSetMetaData`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  the column name
Throws:
  `SQLException`

### getColumnTypeName

public String getColumnTypeName(int columnIndex) throws SQLException
Returns the data type name of a column.

Specified by:
  `getColumnTypeName` in interface `ResultSetMetaData`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  the type name
Throws:
  `SQLException`

### getSchemaName

public String getSchemaName(int columnIndex)
Returns empty string.

Specified by:
  `getSchemaName` in interface `ResultSetMetaData`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  empty string

### getTableName

public String getTableName(int columnIndex)
Returns empty string.

Specified by:
  `getTableName` in interface `ResultSetMetaData`
Parameters:
  `columnIndex` - (1,2,...)
Returns:
  empty string

### afterLast

public void afterLast() throws SQLException
INTERNAL

Specified by:
  `afterLast` in interface `ResultSet`
Throws:
  `SQLException`

### cancelRowUpdates

public void cancelRowUpdates() throws SQLException
INTERNAL

Specified by:
  `cancelRowUpdates` in interface `ResultSet`
Throws:
  `SQLException`

### deleteRow

public void deleteRow() throws SQLException
INTERNAL

Specified by:
  `deleteRow` in interface `ResultSet`
Throws:
  `SQLException`

### insertRow

public void insertRow() throws SQLException
INTERNAL

Specified by:
  `insertRow` in interface `ResultSet`
Throws:
  `SQLException`

### moveToCurrentRow

public void moveToCurrentRow() throws SQLException
INTERNAL

Specified by:
  `moveToCurrentRow` in interface `ResultSet`
Throws:
  `SQLException`

### moveToInsertRow

public void moveToInsertRow() throws SQLException
INTERNAL

Specified by:
  `moveToInsertRow` in interface `ResultSet`
Throws:
  `SQLException`

### refreshRow

public void refreshRow() throws SQLException
INTERNAL

Specified by:
  `refreshRow` in interface `ResultSet`
Throws:
  `SQLException`

### updateRow

public void updateRow() throws SQLException
INTERNAL

Specified by:
  `updateRow` in interface `ResultSet`
Throws:
  `SQLException`

### first

public boolean first() throws SQLException
INTERNAL

Specified by:
  `first` in interface `ResultSet`
Throws:
  `SQLException`

### isAfterLast

public boolean isAfterLast() throws SQLException
INTERNAL

Specified by:
  `isAfterLast` in interface `ResultSet`
Throws:
  `SQLException`

### isBeforeFirst

public boolean isBeforeFirst() throws SQLException
INTERNAL

Specified by:
  `isBeforeFirst` in interface `ResultSet`
Throws:
  `SQLException`

### isFirst

public boolean isFirst() throws SQLException
INTERNAL

Specified by:
  `isFirst` in interface `ResultSet`
Throws:
  `SQLException`

### isLast

public boolean isLast() throws SQLException
INTERNAL

Specified by:
  `isLast` in interface `ResultSet`
Throws:
  `SQLException`

### last

public boolean last() throws SQLException
INTERNAL

Specified by:
  `last` in interface `ResultSet`
Throws:
  `SQLException`

### previous

public boolean previous() throws SQLException
INTERNAL

Specified by:
  `previous` in interface `ResultSet`
Throws:
  `SQLException`

### rowDeleted

public boolean rowDeleted() throws SQLException
INTERNAL

Specified by:
  `rowDeleted` in interface `ResultSet`
Throws:
  `SQLException`

### rowInserted

public boolean rowInserted() throws SQLException
INTERNAL

Specified by:
  `rowInserted` in interface `ResultSet`
Throws:
  `SQLException`

### rowUpdated

public boolean rowUpdated() throws SQLException
INTERNAL

Specified by:
  `rowUpdated` in interface `ResultSet`
Throws:
  `SQLException`

### setFetchDirection

public void setFetchDirection(int direction) throws SQLException
INTERNAL

Specified by:
  `setFetchDirection` in interface `ResultSet`
Throws:
  `SQLException`

### setFetchSize

public void setFetchSize(int rows) throws SQLException
INTERNAL

Specified by:
  `setFetchSize` in interface `ResultSet`
Throws:
  `SQLException`

### absolute

public boolean absolute(int row) throws SQLException
INTERNAL

Specified by:
  `absolute` in interface `ResultSet`
Throws:
  `SQLException`

### relative

public boolean relative(int offset) throws SQLException
INTERNAL

Specified by:
  `relative` in interface `ResultSet`
Throws:
  `SQLException`

### getCursorName

public String getCursorName() throws SQLException
INTERNAL

Specified by:
  `getCursorName` in interface `ResultSet`
Throws:
  `SQLException`

### getHoldability

public int getHoldability()
Returns the current result set holdability.

Specified by:
  `getHoldability` in interface `ResultSet`
Returns:
  the holdability

### isClosed

public boolean isClosed()
Returns whether this result set has been closed.

Specified by:
  `isClosed` in interface `ResultSet`
Returns:
  true if the result set was closed

### unwrap

public <T> T unwrap(Class<T> iface) throws SQLException
Return an object of this class if possible.

Specified by:
  `unwrap` in interface `Wrapper`
Parameters:
  `iface` - the class
Returns:
  this
Throws:
  `SQLException`

### isWrapperFor

public boolean isWrapperFor(Class<?> iface) throws SQLException
Checks if unwrap can return an object of this class.

Specified by:
  `isWrapperFor` in interface `Wrapper`
Parameters:
  `iface` - the class
Returns:
  whether or not the interface is assignable from this class
Throws:
  `SQLException`

### setAutoClose

public void setAutoClose(boolean autoClose)
Set the auto-close behavior. If enabled (the default), the result set is closed after reading the last row.

Parameters:
  `autoClose` - the new value

### getAutoClose

public boolean getAutoClose()
Get the current auto-close behavior.

Returns:
  the auto-close value